Subject: Re: linux-next: build failure after merge of the arm-soc tree

From: Nicolas Ferre <[email-masked]>
Date: Tue, 12 Oct 2021 11:29:09 +0200

On 12/10/2021 at 09:56, Arnd Bergmann wrote:
> EXTERNAL EMAIL: Do not click links or open attachments unless you know the content is safe
> 
> On Tue, Oct 12, 2021 at 9:35 AM Nicolas Ferre
> <[email-masked]> wrote:
>> On 12/10/2021 at 02:03, Stephen Rothwell wrote:
>>>
>>> After merging the arm-soc tree, today's linux-next build (arm
>>> multi_v7_defconfig) failed like this:
>>>
>>> Error: arch/arm/boot/dts/sama7g5.dtsi:167.3-7 syntax error
>>> FATAL ERROR: Unable to parse input tree
>>>
>>> Caused by commit
>>>
>>>     9be4be3ed1ec ("Merge branch 'arm/dt' into for-next")
> 
> Thank you for the report!
> 
> I had verified the arm/dt branch by itself, but didn't recheck it after I
> merged it into the for-next branch. At least that one is easy to fix
> up as I don't send the combined branch to Linus, and the arm/dt
> branch does not have the problem.
> 
>> I had following patch to have the nodes in alphabetical order:
>>
> ...
>>
>> Sorry for not having mentioned this conflict in the pull-request.
> 
> No worries,
> 
> I had assumed you had them sorted by unit-address, so I had them
>   in the wrong order as well. Fixing up both issues in for-next
> now by redoing the merge.

OMG, you're right, it's by unit-address: I'm removing my at91-next for 
now to not cause more confusion and merge conflicts.

Not a big deal if you already re-did the merge.

Best regards,
   Nicolas

-- 
Nicolas Ferre